Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.im.controls.placeholders
Interface PlaceholderManagerControl

    @ControlInterface
    public interface PlaceholderManagerControl

A custom Java Control used to manage ad placeholders.

See Also
  `PlaceholderModel`

Method Summary
`com.bea.p13n.placeholder.model.PlaceholderModel` | `getPlaceholder(String placeholderUri, ResourceContext context)` Returns a `PlaceholderModel` representing the placeholder of the passed in uri.
`SortableFilterablePagedResult<String>` | `getPlaceholderNames(int pageSize, ResourceContext context)` Returns a `PagedResult` of `String`s of all the `PlaceholderModel` names within the system, in arbitrary order.
`SortableFilterablePagedResult<com.bea.p13n.placeholder.model.PlaceholderModel>` | `getPlaceholders(int pageSize, ResourceContext context)` Returns a `PagedResult` of all the `PlaceholderModel` objects within the system, in arbitrary order.
`SortableFilterablePagedResult<ToolQueryDefinitionModel>` | `getQueryDefinitions(com.bea.p13n.placeholder.model.PlaceholderModel pm, int pageSize, ResourceContext context)` Returns a `PagedResult` of the `ToolQueryDefinitionModel` objects that wrap the `QueryDefinitionModel` objects within a given PlaceholderModel, in arbitrary order.
`void` | `setPlaceholder(com.bea.p13n.placeholder.model.PlaceholderModel model, ResourceContext context)` Persists the given `PlaceholderModel`.
`void` | `setPlaceholder(String placeholderUri, com.bea.p13n.placeholder.model.PlaceholderModel model, boolean create, ResourceContext context)` Persists the given `PlaceholderModel`.

Method Detail

### getPlaceholders

    SortableFilterablePagedResult<com.bea.p13n.placeholder.model.PlaceholderModel> getPlaceholders(int pageSize,
                                                                                                   ResourceContext context)
                                                                                                   throws com.bea.p13n.management.data.repository.PersistenceException,
                                                                                                          com.bea.p13n.entitlements.common.PolicyRefException,
                                                                                                          org.apache.xmlbeans.XmlException

  Returns a `PagedResult` of all the `PlaceholderModel` objects within the system, in arbitrary order. Returns an empty list if no `PlaceholderModel` objects are defined.

  Parameters
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `PlaceholderModel` objects
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
    `com.bea.p13n.entitlements.common.PolicyRefException` - if an error occurs while checking DA rights
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data
  See Also
    `PagedResult`, `PlaceholderModel`

### getPlaceholderNames

    SortableFilterablePagedResult<String> getPlaceholderNames(int pageSize,
                                                              ResourceContext context)
                                                              throws com.bea.p13n.management.data.repository.PersistenceException,
                                                                     com.bea.p13n.entitlements.common.PolicyRefException,
                                                                     org.apache.xmlbeans.XmlException

  Returns a `PagedResult` of `String`s of all the `PlaceholderModel` names within the system, in arbitrary order. Returns an empty list if no `PlaceholderModel` objects are defined.

  Parameters
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `String`s representing the `PlaceholderModel` names
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
    `com.bea.p13n.entitlements.common.PolicyRefException` - if an error occurs while checking DA rights
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data
  See Also
    `PagedResult`

### getPlaceholder

    com.bea.p13n.placeholder.model.PlaceholderModel getPlaceholder(String placeholderUri,
                                                                   ResourceContext context)
                                                                   throws com.bea.p13n.management.data.repository.PersistenceException,
                                                                          com.bea.p13n.entitlements.common.PolicyRefException,
                                                                          org.apache.xmlbeans.XmlException

  Returns a `PlaceholderModel` representing the placeholder of the passed in uri. Returns null if the placeholder does not exist.

  Parameters
    `placeholderUri` - the string URI of the placeholder.
    `context` - the resource context
  Returns
    a `PlaceholderModel` representing the placeholder of the passed in uri
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
    `com.bea.p13n.entitlements.common.PolicyRefException` - if an error occurs while checking DA rights
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data
  See Also
    `PlaceholderModel`

### setPlaceholder

    void setPlaceholder(com.bea.p13n.placeholder.model.PlaceholderModel model,
                        ResourceContext context)
                        throws IllegalArgumentException,
                               com.bea.p13n.management.data.repository.MessageException,
                               com.bea.p13n.management.data.repository.PersistenceException,
                               com.bea.p13n.entitlements.common.PolicyRefException,
                               org.apache.xmlbeans.XmlException

  Persists the given `PlaceholderModel`. Any existing placholder at the given placeholderUri will be replaced by the new one.

  Parameters
    `model` - a `PlaceholderModel` representing the placeholder
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if create=false and the placeholder you are trying to replace does not exist at the given placeholderUri.
    `com.bea.p13n.management.data.repository.MessageException` - if an error occurs while persisting model data
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for model data or persist model data
    `com.bea.p13n.entitlements.common.PolicyRefException` - if an error occurs while checking DA rights
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data

### setPlaceholder

    void setPlaceholder(String placeholderUri,
                        com.bea.p13n.placeholder.model.PlaceholderModel model,
                        boolean create,
                        ResourceContext context)
                        throws IllegalArgumentException,
                               com.bea.p13n.management.data.repository.MessageException,
                               com.bea.p13n.management.data.repository.PersistenceException,
                               com.bea.p13n.entitlements.common.PolicyRefException,
                               org.apache.xmlbeans.XmlException

  Persists the given `PlaceholderModel`. Any existing placholder at the given placeholderUri will be replaced by the new one.

  Parameters
    `placeholderUri` - the string URI of the placeholder. Cannot be null.
    `model` - a `PlaceholderModel` representing the placeholder
    `create` - if true then create the placeholder if it does not exist. If false then do not create the placeholder if it does not exist. In both cases, an existing placeholder will be replaced with the new one.
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if create=false and the placeholder you are trying to replace does not exist at the given placeholderUri.
    `com.bea.p13n.management.data.repository.MessageException` - if an error occurs while persisting model data
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for model data or persist model data
    `com.bea.p13n.entitlements.common.PolicyRefException` - if an error occurs while checking DA rights
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data

### getQueryDefinitions

    SortableFilterablePagedResult<ToolQueryDefinitionModel> getQueryDefinitions(com.bea.p13n.placeholder.model.PlaceholderModel pm,
                                                                                int pageSize,
                                                                                ResourceContext context)
                                                                                throws com.bea.p13n.management.data.repository.PersistenceException,
                                                                                       com.bea.p13n.entitlements.common.PolicyRefException,
                                                                                       org.apache.xmlbeans.XmlException

  Returns a `PagedResult` of the `ToolQueryDefinitionModel` objects that wrap the `QueryDefinitionModel` objects within a given PlaceholderModel, in arbitrary order. Returns an empty list if no `QueryDefinitionModel` objects are defined.

  Parameters
    `pm` - the `PlaceholderModel` to query
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `QueryDefinitionModel` objects
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
    `com.bea.p13n.entitlements.common.PolicyRefException` - if an error occurs while checking DA rights
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data
  See Also
    `PagedResult`, `PlaceholderModel`, `QueryDefinitionModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved